curl -X GET https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
student = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const student = await response.json();
{
"id": 123,
"username": "FastMalamute",
"email": "john.doe@example.com",
"phone_number": "+1234567890",
"first_name": "John",
"last_name": "Doe",
"public_report_id": "abc-123-def-456",
"created": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
Students
Get Student
Retrieve a specific student by ID
GET
/
api
/
v1
/
students
/
{id}
/
curl -X GET https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
student = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const student = await response.json();
{
"id": 123,
"username": "FastMalamute",
"email": "john.doe@example.com",
"phone_number": "+1234567890",
"first_name": "John",
"last_name": "Doe",
"public_report_id": "abc-123-def-456",
"created": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
Authentication
string
required
Bearer token for authentication
Path Parameters
integer
required
Student ID
Response
integer
Student ID
string
Student’s username
string
Student’s email
string
Student’s phone number
string
Student’s first name
string
Student’s last name
string
Public UUID for reports
string
Creation timestamp
curl -X GET https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
student = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const student = await response.json();
{
"id": 123,
"username": "FastMalamute",
"email": "john.doe@example.com",
"phone_number": "+1234567890",
"first_name": "John",
"last_name": "Doe",
"public_report_id": "abc-123-def-456",
"created": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
Was this page helpful?
⌘I

